#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# require 'gtk_paradise/example/advanced/005_csv_example.rb'
# =========================================================================== #
require 'gtk_paradise/require_gtk3'
require 'gtk_paradise/run'

r = Gtk.run
r.increase_font_size
hbox = Gtk.hbox
# =========================================================================== #
# Read in the .csv file next:
# =========================================================================== #
tree_view = Gtk.read_in_from_this_csv_file(:default, :default, :strip_quotes)
tree_view.the_headers_are_resizable
Gtk.gtk_paradise_css_file
hbox.maximal(tree_view, 10)
hbox.bblack3
hbox.show_all
scrolled_window = Gtk.scrolled_window(hbox) { :always }
r << scrolled_window
r.modify_background(:normal, :white)
r.width_height(800, 500)
r.top_left_then_run
